| Classes - Annotated - Tree - Functions - Home - Structure

# QDomProcessingInstruction Class Reference
[ XML module ]

The QDomProcessingInstruction class represents an XML processing instruction. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomProcessingInstruction ()
- QDomProcessingInstruction ( const QDomProcessingInstruction & x )
- QDomProcessingInstruction& operator= ( const QDomProcessingInstruction & )
- ~QDomProcessingInstruction ()
- virtual QString target () const
- virtual QString data () const
- virtual void setData ( const QString & d )
- virtual QDomNode::NodeType nodeType () const
- virtual bool isProcessingInstruction () const

## Detailed Description

The QDomProcessingInstruction class represents an XML processing instruction.

Processing instructions are used in XML as a way to keep processor-specific information in the text of the document.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomProcessingInstruction::QDomProcessingInstruction ()

Constructs an empty processing instruction. Use QDomDocument::createProcessingInstruction() to create a processing instruction with content.

### QDomProcessingInstruction::QDomProcessingInstruction ( const QDomProcessingInstruction & x )

Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomProcessingInstruction::~QDomProcessingInstruction ()

Destructor.

### QString QDomProcessingInstruction::data () const `[virtual]`

Returns the content of this processing instruction.

See also setData() and target().

### bool QDomProcessingInstruction::isProcessingInstruction () const `[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomProcessingInstruction::nodeType() const `[virtual]`

Returns `ProcessingInstructionNode.`

Reimplemented from QDomNode.

### QDomProcessingInstruction& QDomProcessingInstruction::operator= ( const QDomProcessingInstruction & x )

Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### void QDomProcessingInstruction::setData ( const QString & d ) `[virtual]`

Sets the data contained in the processing instruction.

See also data().

### QString QDomProcessingInstruction::target () const `[virtual]`

Returns the target of this processing instruction.

See also data().

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.